apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: servala
  name: servala
spec:
  replicas: 1
  selector:
    matchLabels:
      app: servala
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: servala
    spec:
      imagePullSecrets:
        - name: gitlab-pull-secret
      containers:
        - image: registry.vshn.net/vshn/servala-frontend:latest
          imagePullPolicy: Always
          name: web
          env:
            - name: DEBUG
              value: "false"
            - name: ALLOWED_HOSTS
              value: www.servala.com,servala.com,www.serva.la,serva.la
            - name: DB_FILE
              value: /data/servala.db
            - name: ODOO_URL
              value: https://central.vshn.ch
            - name: ODOO_LEAD_CAMPAIGN_ID
              value: "101"
            - name: ODOO_LEAD_SOURCE_ID
              value: "703"
            - name: ODOO_LEAD_MEDIUM_ID
              value: "1"
            - name: ODOO_LEAD_TAG_ID
              value: "43"
          envFrom:
            - secretRef:
                name: servala
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
          resources: {}
          volumeMounts:
            - name: data
              mountPath: /data
      volumes:
        - name: data
          persistentVolumeClaim:
            claimName: data
